.chat-messages {
    margin: 0;
    padding: 0;
    list-style: none;
}

    .chat-messages li {
        position: relative;
        margin-bottom: 24px;
        padding-right: 120px;
    }

        .chat-messages li:last-child {
            margin-bottom: 0;
        }

        .chat-messages li time {
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            right: 0;
            white-space: nowrap;
            padding: 6px 12px;
            font-size: 14px;
            line-height: 20px;
            color: var(--default-gray);
        }

        .chat-messages li span {
            display: inline-block;
            padding: 6px 12px;
            font-weight: 500;
            font-size: 14px;
            line-height: 20px;
            border-radius: 16px;
            word-break: break-word;
            color: var(--default-blue);
            background-color: var(--light-blue);
        }

        .chat-messages li.loading-bot-log span {
            display: inline;
        }

#runHistoryUl {
    top: inherit;
    overflow-y: auto;
    max-height: calc(100vh - 150px);
    left: inherit;
    width: 100%;
    bottom: 40px;
    border: 0;
    margin: 0;
}

    #runHistoryUl li a.run-history-header {
        font-weight: bold;
        font-size: 14px;
    }

        #runHistoryUl li a.run-history-header:hover {
            background-color: var(--light-blue);
        }

    #runHistoryUl li a i {
        margin-right: 10px;
    }

    #runHistoryUl .submenu li {
        padding: 5px 10px 5px 35px;
    }

        #runHistoryUl .submenu li:hover,
        #runHistoryUl .submenu li:hover > a {
            background-color: var(--light-blue);
        }

    #runHistoryUl li ul li a span {
        font-size: 14px;
        line-height: 20px;
    }

    #runHistoryUl .run-status {
        position: absolute;
        right: 20px;
        top: 6px;
        height: 16px;
    }

.history-items h4 {
    margin: 0;
    padding: 12px 0;
    font-size: 14px;
    line-height: 20px;
    font-weight: 700;
    cursor: pointer;
    position: relative;
    color: var(--default-black);
    width: 100% ;
}

    .history-items h4::after {
        content: "\f107";
        position: absolute;
        right: 0;
        font-size: 18px;
        font-family: 'Font Awesome 5 Free';
        font-weight: 900;
        color: var(--default-black);
    }

    .history-items h4.active::after {
        content: "\f106";
    }

.history-items ul {
    margin: 12px 0 0;
    padding: 0;
    list-style: none;
}

.history-items li {
    margin-bottom: 24px;
    display: flex;
    gap: 16px;
    align-items: center;
}

.history-items .history-task {
    flex-grow: 1;
    display: inline-block;
    padding: 6px 12px;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    border-radius: 16px;
    word-break: break-word;
    color: var(--default-blue) !important;
    background-color: var(--light-blue);
}

.history-items .history-time {
    white-space: nowrap;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--default-gray);
}

.history-icon {
    min-width: 20px;
    min-height: 20px;
    background: url(./Images/icon_circle_check.svg) no-repeat center center;
}

/* Custom Tabs */
#customTabs {
    padding: 6px;
    gap: 6px;
    display: flex;
    list-style: none;
    align-items: center;
    border-radius: 30px;
    background-color: var(--light-gray);
}

#customTabs li {
    flex-grow: 1;
}

#customTabs li a {
font-size: 14px;
line-height: 20px;
display: block;
cursor: pointer;
color: #495057 !important;
padding: 8px 10px;
text-align: center;
border-radius: 30px;
background-color: #fff;
text-decoration: none;
transition: all 0.3s;
}

#customTabs li a:hover {
    font-weight: 500;
    background: var(--light-blue);
    border-color: var(--default-blue);
    color: var(--default-blue) !important;
}

#customTabs li a.active {
    font-weight: 500;
    color: #fff !important;
    background-color: var(--default-blue);
}

.tab-container {
    display: none;
}

.tab-container.active {
    display: block;
}
